Skip to content

List a campaign’s lists

Lists
POSThttps://api.dcdial.com/api/type=get_campaign_lists
Read onlyToken

Returns the lists attached to a campaign, newest first.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_campaign_lists for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • campaign_idintegeroptional

    ID of the campaign.

    Example 1024
Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_campaign_lists \
-d token="$DCDIAL_TOKEN" \
-d campaign_id=1024
Response · 200 OK
{
"response": {
"success": "1",
"error": "",
"campaign_lists": [
{
"list_id": "2048",
"list_name": "October accounts",
"list_description": "Campaign Payment reminders started",
"lead_count": "120",
"active": "Y",
"list_lastcalldate": "2026-10-15 14:02:11",
"campaign_id": "1024",
"campaign_name": "Payment reminders"
},
{
"list_id": "2048",
"list_name": "October accounts",
"list_description": "Campaign Payment reminders started",
"lead_count": "120",
"active": "Y",
"list_lastcalldate": "2026-10-15 14:02:11",
"campaign_id": "1024",
"campaign_name": "Payment reminders"
}
]
}
}

Try it

Environment